function ang=AngNorm(ang)

%AngNorm   It converts any angle value in a value in the [0,2pi format]
%
% ang=AngNorm(ang)
% ang: initial and final angle

% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 8: Monte Carlo II
% Autores: Eva Besada-Portas, Sergey M. Plis

k=find(ang>2*pi);
while (~isempty(k))
    ang(k)=ang(k)-2*pi;
    k=find(ang>2*pi);
end
  
k=find(ang<0);
while (~isempty(k))
    ang(k)=ang(k)+2*pi;
    k=find(ang<0);
end